Vulnerability & Exploit Database

Back to search

Apache Struts 2 Developer Mode OGNL Execution

This module exploits a remote command execution vulnerability in Apache Struts 2. The problem exists on applications running in developer mode, where the DebuggingInterceptor allows evaluation and execution of OGNL expressions, which allows remote attackers to execute arbitrary Java code. This module has been tested successfully on Struts 2.3.16, Tomcat 7 and Ubuntu 10.04.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/multi/http/struts_dev_mode

Authors

  • Johannes Dahse
  • Andreas Nusser
  • Alvaro
  • juan vazquez <juan.vazquez [at] metasploit.com>

References

Targets

  • Struts 2

Platforms

  • java

Architectures

  • java

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/multi/http/struts_dev_mode msf exploit(struts_dev_mode) > show targets ...targets... msf exploit(struts_dev_mode) > set TARGET <target-id> msf exploit(struts_dev_mode) > show options ...show and set options... msf exploit(struts_dev_mode) > exploit

Related Vulnerabilities